function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    game_state.active_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	
	local object = pf:GetObject('fish_skeleton');
	
	inventory_gate = CreateInventory(object:GetX(),
                                        object:GetY() + 50,
                                        object:GetZ() + 10,
                                        "fish_skeleton",
                                        CreateItem('tail_tool', 'tail_scaled'),
                                        CreateItem('rib_tool', 'rib_scaled'),
                                        CreateItem('head_tool', 'head_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_10_1");
		
	inventory_gate.state_changer = 'OnGateComplete'
	
	inventory_gate.OnComplete = function()
	    game_state.gate_is_open = true
		play_field:GetObject('fish'):ChangeOpacity(0, 1, 0.3)
		
	    if game_state.all_items_found then
	        OnWinConditionsComplete()
	    end
	end
	
	CreateTool('rib', 'rib_scaled')	
	CreateTool('tail', 'tail_scaled')
	CreateTool('head', 'head_scaled')
	
	AddRandomTasks(18,
					CreateTask('BASEBALL_GLOVE', '', 'baseball_glove'),										
					CreateTask('BOOK', '', 'book'),
					CreateTask('BOTTLES', '', 'bottles'),
					CreateTask('BUCKET', '', 'bucket'),
					CreateTask('BUG', '', 'bug'),
					CreateTask('BUTTERFLY', 'BUTTERFLIES', 'butterfly1'),
					CreateTask('CHAIR', '', 'chair'),					
					CreateTask('CAP', '', 'cap'),
					CreateTask('CLOTHESPIN', '', 'clothespin'),
					CreateTask('CRAWBAR', '', 'crawbar'),
					CreateTask('FIREEXTINGUISHER', '', 'fireextinguisher'),
					CreateTask('LEAF', '', 'leaf'),
					CreateTask('MAGNIFYING_GLASS', '', 'magnifying_glass'),
					CreateTask('BROOM', '', 'mop'),
					CreateTask('PAN', '', 'pan'),
					CreateTask('PHONE', '', 'phone'),
					CreateTask('RADIO', '', 'radio'),
					CreateTask('ROPE', '', 'rope'),
					CreateTask('SCISSORS', '', 'scissors'),
					CreateTask('SEASHELL', '', 'seashell'),
					CreateTask('SHOE', '', 'shoe'),					
					CreateTask('SIGN', '', 'sign'),
					CreateTask('TOOL_BELT', '', 'toolbox'),
					--CreateTask('DECORATED_VASE', '', 'vase'),
					CreateTask('VENTILATION_COVER', '', 'ventilation'),
					CreateTask('WRENCH', '', 'wrench'));

	InitChain1(screen)
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
	AddTOEyeLogic()
	AddSheriffEyeLogic()
	game_state.all_items_found = false
	game_state.gate_is_open = false
	
	play_field:GetObject('fish'):SetOpacity(0);
	game_state.locked_objects['exit_active_zone'] = true
	game_state.meta_object = 'cigar10'
	game_state.OnStartingComicsComplete = function()		
		inventory_gate:Unlock();
	end
	
	game_state.OnGateComplete = function()
		game_state.gate_is_open = true
		play_field:GetObject('fish'):SetOpacity(1)
		if game_state.all_items_found then
	        OnWinConditionsComplete()
	    end
	end
end

function InitChain1(screen)
    local comics1 = CreateComics(screen,
                                 'Telephone_Operator',
								 'TOMask',
								 'eyes_to')
                                 
     local comics2 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')
	
	comics2.OnHidden = function()
		comics2.DefaultOnHidden()
		inventory_gate:Unlock();
	end
							 
    game_state.chain1 = CreateChain('pixel1',
                                    screen,
                                    comics1, GetString("COMICS_10_1"),
                                    comics2, GetString("COMICS_10_2"))
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnScreenShown()
	game_state.chain1.Start()
end

function OnUpdate(dt)
end

function OnNotebookClosed()
    game_state.all_items_found = true
    if game_state.gate_is_open then
        OnWinConditionsComplete()
    end
end

function OnNotebookOpened()
end

function OnExit()
end

function OnWinConditionsComplete()
    local object = play_field:GetObject('exit_active_zone');
    local e = AddBubblesExplosion(object, play_field, 1, object:GetZ() + 10, 0, 0, 1 / object:GetScaleX(), 1 / object:GetScaleX(), 0)
    game_state.custom_cursors['exit_active_zone'] = 'CursorZoom'
    game_state.locked_objects['exit_active_zone'] = false
    local object = play_field:GetObject('exit_active_zone')
	local bubbles = AddBubblesAnimation(play_field, 3, 0, 0, 0, 0.25 / object:GetScaleX(), 0.25 / object:GetScaleY(), math.random(0, 5))	
    bubbles:AttachTo(object)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true
    
    if obj_name == 'exit_active_zone' and not game_state.locked_objects['exit_active_zone'] then
        OnWin()
    end

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnMinigameCompleted()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/BG.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG',anim,512,384,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/Telephone_Operator.png',0,0,473,725,1,0)
	anim:SetHotSpot(236,362)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Telephone_Operator',anim,775,404,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/TOMask.png',0,0,134,64,1,0)
	anim:SetHotSpot(67,32)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('TOMask',anim,744,125,410,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes_to.png',0,0,113,30,1,0)
	anim:SetHotSpot(56,15)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes_to',anim,739,130,405,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,505,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,499,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Animations/algae/dal.png',0,0,41,88,7,6)
	anim:SetHotSpot(20,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dal',anim,577,441,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Animations/algae/bok.png',0,0,93,153,7,6)
	anim:SetHotSpot(47,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bok',anim,857,676,113,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Animations/algae/tyw.png',0,0,102,94,7,6)
	anim:SetHotSpot(51,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tyw',anim,476,723,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/bucket.png',0,0,52,55,1,0)
	anim:SetHotSpot(26,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,372,368,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/butterfly1.png',0,0,76,79,1,0)
	anim:SetHotSpot(38,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly1',anim,254,668,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/crawbar.png',0,0,39,111,1,0)
	anim:SetHotSpot(19,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawbar',anim,158,120,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/crawbar_over.png',0,0,11,9,1,0)
	anim:SetHotSpot(5,4)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawbar_over',anim,146,79,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/fireextinguisher.png',0,0,60,106,1,0)
	anim:SetHotSpot(30,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fireextinguisher',anim,293,409,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/fireextinguisher_over.png',0,0,14,90,1,0)
	anim:SetHotSpot(7,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fireextinguisher_over',anim,277,410,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/book.png',0,0,53,38,1,0)
	anim:SetHotSpot(26,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('book',anim,968,589,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/phone.png',0,0,74,98,1,0)
	anim:SetHotSpot(37,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('phone',anim,964,256,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/rope.png',0,0,68,42,1,0)
	anim:SetHotSpot(34,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rope',anim,766,595,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/rope_over.png',0,0,49,41,1,0)
	anim:SetHotSpot(24,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rope_over',anim,787,593,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/wrench.png',0,0,74,53,1,0)
	anim:SetHotSpot(37,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench',anim,485,514,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/shoe.png',0,0,71,45,1,0)
	anim:SetHotSpot(35,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shoe',anim,844,602,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/sign.png',0,0,33,35,1,0)
	anim:SetHotSpot(16,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sign',anim,413,412,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/vase.png',0,0,37,69,1,0)
	anim:SetHotSpot(18,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vase',anim,921,46,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/vase_over.png',0,0,58,62,1,0)
	anim:SetHotSpot(29,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vase_over',anim,920,56,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/seashell.png',0,0,49,37,1,0)
	anim:SetHotSpot(24,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seashell',anim,687,478,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/mop.png',0,0,46,174,1,0)
	anim:SetHotSpot(23,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mop',anim,446,370,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/clothespin.png',0,0,17,36,1,0)
	anim:SetHotSpot(8,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clothespin',anim,349,620,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/bug.png',0,0,44,56,1,0)
	anim:SetHotSpot(22,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bug',anim,459,714,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/scissors.png',0,0,116,73,1,0)
	anim:SetHotSpot(58,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors',anim,296,745,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/scissors_over.png',0,0,117,70,1,0)
	anim:SetHotSpot(58,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors_over',anim,305,740,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/ventilation.png',0,0,83,67,1,0)
	anim:SetHotSpot(41,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ventilation',anim,414,504,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/magnifying_glass.png',0,0,58,41,1,0)
	anim:SetHotSpot(29,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('magnifying_glass',anim,522,616,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/magnifying_glass_over.png',0,0,21,27,1,0)
	anim:SetHotSpot(10,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('magnifying_glass_over',anim,498,615,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/toolbox.png',0,0,119,67,1,0)
	anim:SetHotSpot(59,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('toolbox',anim,596,718,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/leaf.png',0,0,48,44,1,0)
	anim:SetHotSpot(24,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('leaf',anim,963,737,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/chair.png',0,0,96,127,1,0)
	anim:SetHotSpot(48,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chair',anim,828,430,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/pan.png',0,0,54,59,1,0)
	anim:SetHotSpot(27,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pan',anim,758,403,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/device.png',0,0,39,56,1,0)
	anim:SetHotSpot(19,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('device',anim,989,533,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/radio.png',0,0,55,53,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('radio',anim,956,368,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/chair_over.png',0,0,85,102,1,0)
	anim:SetHotSpot(42,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chair_over',anim,821,454,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/toolbox_over.png',0,0,31,48,1,0)
	anim:SetHotSpot(15,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('toolbox_over',anim,638,726,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/bottles.png',0,0,34,49,1,0)
	anim:SetHotSpot(17,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottles',anim,282,31,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/cap.png',0,0,67,59,1,0)
	anim:SetHotSpot(33,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cap',anim,336,433,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/baseball_glove.png',0,0,52,42,1,0)
	anim:SetHotSpot(26,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('baseball_glove',anim,928,433,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('fish_skeleton',anim,487,162,100,0,4,4)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/rib.png',0,0,60,51,1,0)
	anim:SetHotSpot(30,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rib',anim,457,655,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/rib.png',0,0,60,51,1,0)
	anim:SetHotSpot(30,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rib_tool',anim,131,416,100,-90,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/tail.png',0,0,56,53,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tail',anim,806,378,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/tail.png',0,0,56,53,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tail_tool',anim,109,414,100,-90,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/head.png',0,0,60,50,1,0)
	anim:SetHotSpot(30,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('head',anim,778,630,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/head_tool.png',0,0,54,52,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('head_tool',anim,166,417,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Layers/fish.png',0,0,114,71,1,0)
	anim:SetHotSpot(57,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish',anim,498,166,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/tail.png',0,0,56,53,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tail_scaled',anim,795,378,100,-90,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/rib.png',0,0,60,51,1,0)
	anim:SetHotSpot(30,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rib_scaled',anim,452,654,100,-90,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Items/head_tool.png',0,0,54,52,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('head_scaled',anim,779,627,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('exit_active_zone',anim,516,294,100,0,20,20)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/cigar10.png',0,0,108,58,1,0)
	anim:SetHotSpot(54,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar10',anim,684,49,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
